Query Monitored Identities
Returns a paginated list of all monitored identities for your account. Can be used to check if a specific identity is monitored by using the tag or id parameters.
The Enzoic API uses a basic auth scheme where the username is your API key and the password is your API secret.
See https://docs.enzoic.com/enzoic-api-developer-documentation/using-the-enzoic-api#api-authentication for more details.
(Optional) If specified, the call will only return the monitored identity matching this tag value.
56d6d566-82e6-426c-ae47-528a0fb64808(Optional) If specified, the call will only return the monitored identity matching this Enzoic ID.
641c73ef1d909615a63b4d75(Optional) The number of results to return in a single call. The maximum is 100 and the default is 100.
100(Optional) For each call to the API, if there are more pages of results available then a pagingToken will be returned. Pass the pagingToken in via this parameter to retrieve the subsequent page of results. Should be left off for the initial call to the API.
The response body contains the requested results.
The total number of monitored identity records available across all pages. If this exceeds the requested page size, the results are paginated and a pagingToken will be present in the response.
1Present when there are additional pages of results available. Pass this token in on a subsequent call to fetch the next page of results.
5854757a7750ac6c4230f656GET /v1/identity-monitoring HTTP/1.1
Host: api.enzoic.com
Authorization: Basic username:password
Accept: */*
The response body contains the requested results.
{
"count": 1,
"monitoredIdentities": [
{
"id": "641c73ef1d909615a63b4d75",
"tag": "56d6d566-82e6-426c-ae47-528a0fb64808",
"firstName": "John",
"lastName": "Doe",
"country": "US",
"address1": "1234 Main St",
"address2": "Suite 100",
"city": "New York",
"province": "NY",
"postalCode": 12345,
"governmentID": {
"country": "US",
"displayValue": "XXXXX1234"
},
"emails": [
"test@enzoic.com"
],
"phoneNumbers": [
{
"country": "text",
"value": "text"
}
],
"creditCards": [
{
"displayValue": "XXXXXXXXXXXX1111"
}
],
"cryptocurrencyWallets": [
"34xp4vRoCGJym3xR7yCVPFHoCNxv4Twseo"
],
"urls": [
"https://www.enzoic.com"
],
"ip4Addresses": [
"134.88.23.1"
],
"ip6Addresses": [
"2001:0db8:85a3:0000:0000:8a2e:0370:7334"
],
"secondaryMatchItems": [
{
"description": "Bank of America Checking Account",
"displayValue": "XXXXXXX3215"
}
],
"webhookID": "66766957431c9acc8cea2d6d"
}
],
"pagingToken": "5854757a7750ac6c4230f656"
}Last updated